Share feedback
Answers are generated based on the documentation.

Update some details for an organization group

PATCH/v2/orgs/{org_name}/groups/{group_name}

Update some details for an organization group.

This operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • bearerAuth

Parameters

org_name path Required

Name of the organization (namespace).

Type: string

All schema constraints and annotations
{
  "type": "string"
}

group_name path Required

Name of the group (team) in the organization.

Type: string

All schema constraints and annotations
{
  "example": "developers",
  "type": "string"
}

Request and responses

Request

application/json

description

Type: string

All schema constraints and annotations
{
  "type": "string"
}
name

Type: string

All schema constraints and annotations
{
  "type": "string"
}
role

Type: string

Role assigned to the team. Valid values are the core roles owner, editor, and member, or the name of an existing custom role. Use the custom role's name identifier, not its label or UUID.
All schema constraints and annotations
{
  "description": "Role assigned to the team. Valid values are the core roles\n`owner`, `editor`, and `member`, or the name of an\nexisting [custom role](https://docs.docker.com/security/roles-and-permissions/custom-roles/manage/).\nUse the custom role's name identifier, not its label or UUID.\n",
  "type": "string"
}
All schema constraints and annotations
{
  "examples": [
    {
      "description": "Development team",
      "role": "member"
    }
  ],
  "properties": {
    "description": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "role": {
      "description": "Role assigned to the team. Valid values are the core roles\n`owner`, `editor`, and `member`, or the name of an\nexisting [custom role](https://docs.docker.com/security/roles-and-permissions/custom-roles/manage/).\nUse the custom role's name identifier, not its label or UUID.\n",
      "type": "string"
    }
  }
}

Schema example

{
  "description": "Development team",
  "role": "member"
}

Response 200

application/json

Schema: org_group

Schema example

{
  "description": "Development team",
  "id": 10,
  "member_count": 1,
  "name": "developers",
  "role": "member",
  "uuid": "e36eca69-4cc8-4f17-9845-ae8c2b832691"
}

Response 401

Unauthorized

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "unauthorized"
}

Response 403

Forbidden

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "permission denied"
}

Response 404

Not Found

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "not found"
}

Referenced schemas

#/components/schemas/org_group

Complete operation contract
{
  "description": "Update some details for an organization group.\n\nThis operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.\n",
  "operationId": "patchV2OrgsByOrgNameGroupsByGroupName",
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "examples": [
            {
              "description": "Development team",
              "role": "member"
            }
          ],
          "properties": {
            "description": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "role": {
              "description": "Role assigned to the team. Valid values are the core roles\n`owner`, `editor`, and `member`, or the name of an\nexisting [custom role](https://docs.docker.com/security/roles-and-permissions/custom-roles/manage/).\nUse the custom role's name identifier, not its label or UUID.\n",
              "type": "string"
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/org_group"
          }
        }
      },
      "description": ""
    },
    "401": {
      "$ref": "#/components/responses/unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/forbidden"
    },
    "404": {
      "$ref": "#/components/responses/not_found"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "summary": "Update some details for an organization group",
  "tags": [
    "groups"
  ]
}